# Grafana - Next steps

## Accessing the webui

Accessing the webui requires exposing the Grafana application. Once exposed
you can access it on port `:3000` by default. You can also customize the port
used in the configuration.

If admin password is not set using configuration option it is autogenerated.
To retrieve autogenerated password run:

```
$ juju run-action --wait grafana/0 get-admin-password
```


## Loading dashboards

This charm supports importing dashboards, simply run:


```
$ juju run-action --wait grafana/0 import-dashboard dashboard="$(base64
mydashboard.json)"
```

where mydashboard.json is a json file:

```
{ "dashboard": { exported-json-dashboard }, "overwrite": true }
```

If you don't want to overwrite the dashboard, set overwrite to false.


## Generate API key

There is also an action to create an API key, run:

```
$ juju run-action --wait grafana/0 create-api-key keyname= keyrole=
```

where the keyrole is one of Viewer, Editor, Read Only Editor or Admin.


## Also check out

* [Grafana Docs](http://docs.grafana.org/)
* [Telegraf](https://jujucharms.com/telegraf/)
* [Prometheus](https://jujucharms.com/prometheus/)
